/***************************************************************
 * Name:      wxRenderTimerSmithMain.h
 * Purpose:   Defines Application Frame
 * Author:    Herman ()
 * Created:   2014-04-07
 * Copyright: Herman ()
 * License:
 **************************************************************/

#ifndef WXRENDERTIMERSMITHMAIN_H
#define WXRENDERTIMERSMITHMAIN_H

//(*Headers(wxRenderTimerSmithFrame)
#include <wx/menu.h>
#include <wx/panel.h>
#include <wx/button.h>
#include <wx/frame.h>
#include <wx/timer.h>
#include <wx/statusbr.h>
//*)

class wxRenderTimerSmithFrame: public wxFrame
{
    public:

        wxRenderTimerSmithFrame(wxWindow* parent,wxWindowID id = -1);
        virtual ~wxRenderTimerSmithFrame();

    private:

        //(*Handlers(wxRenderTimerSmithFrame)
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnPanel1Paint(wxPaintEvent& event);
        //void render( wxDC& dc );
        void OnTimer1Trigger(wxTimerEvent& event);
        void OnButton1Click(wxCommandEvent& event);
        //*)

        //(*Identifiers(wxRenderTimerSmithFrame)
        static const long ID_BUTTON1;
        static const long ID_PANEL1;
        static const long idMenuQuit;
        static const long idMenuAbout;
        static const long ID_STATUSBAR1;
        static const long ID_TIMER1;
        //*)

        //(*Declarations(wxRenderTimerSmithFrame)
        wxButton* Button1;
        wxPanel* Panel1;
        wxStatusBar* StatusBar1;
        wxTimer Timer1;
        //*)

        DECLARE_EVENT_TABLE()
};

#endif // WXRENDERTIMERSMITHMAIN_H
